## cryptui-key-combo

cryptui-key-combo

## Functions

GtkComboBox * | cryptui_key_combo_new ()
void | cryptui_key_combo_setup ()
CryptUIKeyStore * | cryptui_key_combo_get_key_store ()
CryptUIKeyset * | cryptui_key_combo_get_keyset ()
void | cryptui_key_combo_set_key ()
const gchar * | cryptui_key_combo_get_key ()

## Object Hierarchy

## Description

## Functions

### cryptui_key_combo_new ()

    GtkComboBox *
    cryptui_key_combo_new (CryptUIKeyStore *ckstore);

Creates a combobox containing the keys in ckstore

#### Parameters

ckstore | key store containing keys to be listed in the combo |

#### Returns

the new CryptUIKeyCombo

### cryptui_key_combo_setup ()

    void
    cryptui_key_combo_setup (GtkComboBox *combo,
                             CryptUIKeyStore *ckstore);

Populates an existing GtkComboBox with keys from a CryptUIKeyStore

#### Parameters

combo | a GtkComboBox |
ckstore | key store containing keys to be listed in the combo |

### cryptui_key_combo_get_key_store ()

    CryptUIKeyStore *
    cryptui_key_combo_get_key_store (GtkComboBox *ckcombo);

Gets the key store from a CryptUiCombo

#### Parameters

ckcombo | a CryptUICombo |

#### Returns

the key store

### cryptui_key_combo_get_keyset ()

    CryptUIKeyset *
    cryptui_key_combo_get_keyset (GtkComboBox *ckcombo);

Gets the keyset stored in the combo's key store.

#### Parameters

ckcombo | a CryptUICombo |

#### Returns

a CryptuiKeyset

### cryptui_key_combo_set_key ()

    void
    cryptui_key_combo_set_key (GtkComboBox *ckcombo,
                               const gchar *key);

Sets the combo's selection to the indicated key

#### Parameters

ckcombo | a CryptUICombo |
key | a CryptUI Key |

### cryptui_key_combo_get_key ()

    const gchar *
    cryptui_key_combo_get_key (GtkComboBox *ckcombo);

Gets the first selected key from the combo

#### Parameters

ckcombo | a CryptUICombo |

#### Returns

the first selected key

## Types and Values